package com.qmth.distributed.print.business.bean.flow;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 自定义流程网关 dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/2/10
 */
public class CustomFlowSequenceDto implements Serializable {

    @ApiModelProperty(value = "后置流程节点id")
    String afterFlowTaskId;

    @ApiModelProperty(value = "前置流程节点id")
    String beforeFlowTaskId;

    @ApiModelProperty(value = "条件表达式")
    String conditionExp;

    @ApiModelProperty(value = "流程步骤")
    Integer setup;

    public CustomFlowSequenceDto() {

    }

    public CustomFlowSequenceDto(String flowTaskId, boolean beforeFlowTask, Integer setup) {
        if (beforeFlowTask) {
            this.beforeFlowTaskId = flowTaskId;
        } else {
            this.afterFlowTaskId = flowTaskId;
        }
        this.setup = setup;
    }

    public CustomFlowSequenceDto(String flowTaskId, String conditionExp, boolean beforeFlowTask, Integer setup) {
        if (beforeFlowTask) {
            this.beforeFlowTaskId = flowTaskId;
        } else {
            this.afterFlowTaskId = flowTaskId;
        }
        this.conditionExp = conditionExp;
        this.setup = setup;
    }

    public Integer getSetup() {
        return setup;
    }

    public void setSetup(Integer setup) {
        this.setup = setup;
    }

    public String getAfterFlowTaskId() {
        return afterFlowTaskId;
    }

    public void setAfterFlowTaskId(String afterFlowTaskId) {
        this.afterFlowTaskId = afterFlowTaskId;
    }

    public String getBeforeFlowTaskId() {
        return beforeFlowTaskId;
    }

    public void setBeforeFlowTaskId(String beforeFlowTaskId) {
        this.beforeFlowTaskId = beforeFlowTaskId;
    }

    public String getConditionExp() {
        return conditionExp;
    }

    public void setConditionExp(String conditionExp) {
        this.conditionExp = conditionExp;
    }
}
